"use client";
import DataTable from "@/components/tables/DataTable";
import { TableData } from "@/variables/columnsData";
import Filters from "@/components/filters/Filters";
import { MultiSelectOption } from "@/components/fields/MultiSelect";
import { extractPagination } from "@/utils/common";
import { columnsDataReports } from "../variables/columns";

interface ReportsTableProps {
  data: { data: TableData[] };
  users: MultiSelectOption[];
  ibcs: MultiSelectOption[];
}

const ReportsTable: React.FC<ReportsTableProps> = ({ data, users, ibcs }) => {

  const paginationData = extractPagination(data);

  return (
    <DataTable
      columnsData={columnsDataReports}
      tableData={data?.data as TableData[]}
      paginate={paginationData}
      isSelectable={false}
      showPageSize={false}
      showSearch={false}
      showActions={false}
      filterSlot={
        <Filters
          users={users}
          ibcs={ibcs}
          showBatches={false}
          showSearch={false}
        />
      }
    />
  );
};

export default ReportsTable;
